> ## Documentation Index
> Fetch the complete documentation index at: https://docs.y.uno/llms.txt
> Use this file to discover all available pages before exploring further.

# Update User Account Permissions

> Partially updates account permissions. Adds or updates the specified entries without removing existing ones.

Partially updates account permissions. Adds or updates the specified entries without removing existing ones.


## OpenAPI

````yaml openapi/organizations/update-user-account-permissions.json PATCH /organizations/users/{user_id}/account-permissions
openapi: 3.1.0
info:
  title: User Account Permissions API - Update
  version: 1.0.0
servers:
  - url: https://api-sandbox.y.uno/v1
security:
  - sec0: []
    sec1: []
paths:
  /organizations/users/{user_id}/account-permissions:
    patch:
      summary: Update User Account Permissions
      description: >-
        Partially updates account permissions. Adds or updates the specified
        entries without removing existing ones.
      operationId: update-user-account-permissions
      parameters:
        - name: user_id
          in: path
          required: true
          schema:
            type: string
            format: uuid
          description: User UUID.
      requestBody:
        required: true
        content:
          application/json:
            schema:
              type: object
              required:
                - account_permissions
              properties:
                account_permissions:
                  type: array
                  items:
                    type: object
                    required:
                      - account_id
                      - role_id
                    properties:
                      account_id:
                        type: string
                        format: uuid
                      role_id:
                        type: string
      responses:
        '200':
          description: OK
          content:
            application/json:
              schema:
                type: object
                properties:
                  permissions:
                    type: array
                    items:
                      type: object
                      properties:
                        account_id:
                          type: string
                          format: uuid
                        account_name:
                          type: string
                        role_id:
                          type: string
                        role_name:
                          type: string
components:
  securitySchemes:
    sec0:
      type: apiKey
      in: header
      name: PUBLIC-API-KEY
      x-default: <Your PUBLIC-API-KEY>
    sec1:
      type: apiKey
      in: header
      name: PRIVATE-SECRET-KEY
      x-default: <Your PRIVATE-SECRET-KEY>

````